witcher wont start under atmosphere

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by mrgone, Oct 13, 2019.

  1. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    so yesterday i got the new witcher (cart).
    i updated to 9.0.0 9.0.1 and updated atmosphere and my homebrew.

    first i downloaded the update for the game and played till the tutorial. there i had a problem with the quen sign, so i exited.
    today, booting atmosphere then starting witcher:
    at the screen with the logos a popup appears with a text like "this program produced an error and will be closed". tried this twice.
    then back to ofw, game works (but tutorial still has some kind a bug for me)

    anyone else got this problem with witcher?

    >update
    i'm on 9.0.1
     
    Last edited by mrgone, Oct 16, 2019
  2. mav2010

    mav2010 GBAtemp Regular

    Member
    5
    May 29, 2018
    Germany
    Just to check: you are using the physical cartridge in the cartridge slot under atmosphere? Or a dump of the cartridge?
     
    mrgone likes this.
  3. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    physical cartridge, update installed on internal flash.
    atmosphere 0.9.4 with the sigpatches for 2.0.0-9.0.0
     
  4. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    Do other cartridges work?
    9.x had another cartridge driver update bundled and you might have a patch enabled to prevent updating it (which would cause cartridges not to be readable) if you're using AMS/KOSMOS.
     
    mrgone likes this.
  5. Godofcheese

    Godofcheese Insane

    Member
    6
    Dec 31, 2016
    Sweden
    Shivering Isles
    Don't know if I understood it perfectly
    but, it worked at first, THEN you updated to 9.0.0?
    if that is the case, NoGC patch is enabled

    add "nogc = 0" to the stratossphere part in bct.ini

    **
    But doing this will make it impossible to use the cartridge slot below firmware 9.0.0
    **
     
    Last edited by Godofcheese, Oct 13, 2019
    mrgone likes this.
  6. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    just to clarify:
    i played witcher under ofw 9.0.0 and it worked (still does), but if i boot atmosphere for 9.0.0 it doesnt work

    but you're probably right. the cartridge slot. i forgot that needs to be handled specially.

    gonna test that.
    coming back to you to report.
    thanx all for your help
     
    Last edited by mrgone, Oct 14, 2019
  7. Mthodmn101

    Mthodmn101 GBAtemp Advanced Fan

    Member
    6
    Jan 31, 2008
    United States
    there was a cartridge update in fw9.0, which atmosphere blocks... if you disable that, u can boot the game, but can no longer use the cartridge slot on fw below 9.0

    edit: looks like you updated the cart firmware, so u can add that setting into the atmosphere ini so it no longer blocks the cartridge
     
    Last edited by Mthodmn101, Oct 14, 2019
  8. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    also, even more clarification:
    i do not have emunand. i missed that part when i installed atmosphere the first time. (had a firmware version of 7 i think).
    i later updated to 8, 8.1 and now 9
    i did not test witcher pre-9.0.0

    okay, for the report:
    okay i tested further, first i added:
    nogc=1
    started witcher
    nothing changed, but i just exited from nxmtp, which i used to edit the file. so i rebooted to payload.
    after that in atmosphere:
    the cart slot wont recognize neither witcher 3 nor taiko no tatsujin (my comparison cart) in the switch menu: there is a problem reading the cart from the game slot
    then i turned the switch off, took the msd out and put it in my pc to change the nogc value to 0 as advised.
    then, dongle time, back to atmosphere
    now it's again like before:
    taiko works, witcher brings the error during the logos screen

    hmm, i'm pretty sure i am doing something wrong

    — Posts automatically merged - Please don't double post! —

    /\ auto merging, nice!

    but wouldn't the cart slot already be updated?
    i played witcher in ofw 9.0.0. (ofw = official firmware)
    no atmosphere blocking the update and the burning of fuses
     
    Last edited by mrgone, Oct 14, 2019
  9. Mthodmn101

    Mthodmn101 GBAtemp Advanced Fan

    Member
    6
    Jan 31, 2008
    United States
    post screen of ur bct.ini
     
  10. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    this is the first and second time i touched that file
    first i added nogc=1
    then i changed to 0
     
  11. Mthodmn101

    Mthodmn101 GBAtemp Advanced Fan

    Member
    6
    Jan 31, 2008
    United States
    and you are using vanilla atmos? not hekate or anything?
     
    mrgone likes this.
  12. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    uhh, i do have hekate, and boot atmo's primary payload from there

    >> going to test instantly with direct booted atmos

    update:
    fusee-primary from atmo 094 as USER1 on my dongle, lights up as green as compared to hekate's blue glow
    witcher says:
    "The software was closed because an error occured."

    and i was so sure you found my mistake, when i read your "vanilla atmos"...
     
    Last edited by mrgone, Oct 14, 2019
  13. Mthodmn101

    Mthodmn101 GBAtemp Advanced Fan

    Member
    6
    Jan 31, 2008
    United States
    check your hekate settings too to make sure there is no auto nogc enabled
     
    mrgone likes this.
  14. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    got a new theory:
    i did not update hekate after my update to 9.0.0

    on the other hand, this means another 9.0.0 protection not active
    gonna update my hekate


    >>>>update
    updated my hekate to 5.0.2/0.8.2 and updated the payload on the dongle
    and deactivated the nogc in hekate
    no change


    did anyone else besides me run witcher 3 from atmos?
     
    Last edited by mrgone, Oct 14, 2019
  15. Mthodmn101

    Mthodmn101 GBAtemp Advanced Fan

    Member
    6
    Jan 31, 2008
    United States
    try just booting vanilla atmos and see if it makes a difference with the nogc setting
     
    mrgone likes this.
  16. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    nope, no change

    thanx for your effort, but that's it for the day.

    should i try deleting my save? the update? or both?
    and restarting the game only in atmosphere not in ofw?
    how reasonable is that this would change anything?
    dont wanna download the update again...

    but what i don't get:
    what does nogc exactly block? only the update of the gc's firmware?
    regular access works after all
    but the update should have happened anyway, when i played witcher in ofw


    maybe witcher has a new copy protection which detects a running atmosphere?

    >>>>>>>>>>>update
    also:
    i noticed 2 games do not register buttons anymore, only touch input works: voez and darkside detective. i player the latter just 2 weeks ago, before the update
    i know this isn't related to witcher's 9.0.0-problems, but i wanted to add some more weirdness here
     
    Last edited by mrgone, Oct 14, 2019
  17. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
    so i guess i have a new suspect:
    i'm not on 9.0.0, i'm on 9.0.1

    >>>update
    and i'm suspecting further that this is also the reason why darkside detective and voez stopped taking button presses.
    only home works in those two games. touch works of course also

    does this mean i found 3 incompatibilities of atmosphere 0.9.4 to 9.0.1 ?
     
    Last edited by mrgone, Oct 15, 2019
  18. Elrond022

    Elrond022 Newbie

    Newcomer
    1
    Apr 27, 2019
    Austria
    I have the same problem as you, mrgone. Witcher 3 crashes at the first video in Atmosphere but in OFW it works like a charm.
    I'm also at 0.9.4 with FW 9.0.1.
     
    mrgone likes this.
  19. Rikuddo

    Rikuddo Member

    Newcomer
    2
    Jan 18, 2019
    Austria

    If you're 9.0.1, there's a new pack of sigpatches for 9.0.1. Maybe try that. Just replace the files with the one in the pack and reboot the console and try again.

    Here's the link to the thread, https://gbatemp.net/threads/i-heard-that-you-guys-need-some-sweet-patches-for-atmosphere.521164/
     
    mrgone likes this.
  20. mrgone
    OP

    mrgone old man

    Member
    5
    Nov 6, 2002
    Germany
    close to the oktoberfest
Quick Reply
Draft saved Draft deleted
Loading...